
Figure - Bug #113738
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试60小时，出现ANR：com.android.soundrecorder
2022-11-07 14:06 - CD Test赵飞

Status: CLOSED Start date: 2022-11-07

Priority: Normal Due date: 2022-12-15

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202211040244

Resolution: DUPLICATE Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-12-28

Test Type: Monkey Test Root cause: 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余的根本原因应该是一样的。我们将统一在113491票里跟踪分析

Description

执行命令：

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts  --ignore-security-exceptions  --monitor-native-crashes 

--ignore-native-crashes -s  20  --throttle 200  --pct-touch  30  --pct-motion  15  --pct-nav  15  --pct-majornav  15  --pct-syskeys  5  --pct-appswitch 

10  --pct-anyevent  10  --ignore-crashes   -v -v -v 1080000 2>/sdcard/error.txt 1>/sdcard/info.txt

错误日志：

// NOT RESPONDING: com.android.soundrecorder (pid 18492)

ANR in com.android.soundrecorder (com.android.soundrecorder/.util.PermissionUtils)

PID: 18492

Reason: Input dispatching timed out (Application does not have a focused window)

Parent: com.android.soundrecorder/.util.PermissionUtils

ErrorId: 6d24c05b-65d1-49cf-b5ca-d92709f60240

Frozen: false

Load: 0.0 / 0.0 / 0.0

----- Output from /proc/pressure/memory -----

some avg10=0.00 avg60=0.00 avg300=0.00 total=4627140

full avg10=0.00 avg60=0.00 avg300=0.00 total=2087549

----- End output from /proc/pressure/memory -----

CPU usage from 20717ms to 0ms ago (2022-11-04 18:11:30.678 to 2022-11-04 18:11:51.395):

  90% 1053/sensors.qti: 18% user + 71% kernel

  61% 1247/tlog: 2.9% user + 58% kernel / faults: 5 minor

  39% 1136/system_server: 15% user + 24% kernel / faults: 73083 minor

  39% 7232/tlog: 2.1% user + 37% kernel / faults: 1 minor

  33% 2020/com.android.systemui: 22% user + 11% kernel / faults: 33330 minor

  25% 1039/surfaceflinger: 12% user + 12% kernel / faults: 345 minor

  17% 960/vendor.qti.hardware.display.composer-service: 5.7% user + 11% kernel / faults: 95 minor

  11% 1335/media.codec: 1.6% user + 9.7% kernel / faults: 13 minor

...
【日志】

Tlog和ANR日志见Bug #113491 附件

History

#1 - 2022-11-07 16:59 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

#2 - 2022-11-09 18:48 - CD Test赵飞

Log已传至FTP

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug _113491/Tlog&ANR.zip

#3 - 2022-11-16 19:52 - CDTS-TEST 周婷

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#4 - 2022-11-16 19:52 - CDTS-TEST 周婷

- Due date deleted (2022-11-14)

#5 - 2022-12-05 17:35 - CD APP-王营

- Due date set to 2022-12-15

#6 - 2022-12-27 16:23 - CD APP-王营

- Status changed from New to ASSIGNED

#7 - 2022-12-27 17:06 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Fixed Version set to 2022-12-28

- Root cause set to 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余

的根本原因应该是一样的。我们将统一在113491票里跟踪分析

#8 - 2022-12-28 14:42 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

经调查分析，产生ANR的原因与113491票一样，使用113491跟踪此类问题，关闭此票

#9 - 2022-12-28 14:42 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
